org.optaplanner.core.impl.score.director.easy

## Class EasyScoreDirectorFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory<Solution_>
  - - org.optaplanner.core.impl.score.director.easy.EasyScoreDirectorFactory<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  All Implemented Interfaces:
    InnerScoreDirectorFactory<Solution_>, ScoreDirectorFactory<Solution_>

      public class EasyScoreDirectorFactory<Solution_>
      extends AbstractScoreDirectorFactory<Solution_>

  Easy implementation of `ScoreDirectorFactory`.
  See Also:
    `EasyScoreDirector`, `ScoreDirectorFactory`

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory

      `assertClonedSolution, assertionScoreDirectorFactory, initializingScoreTrend, logger, solutionDescriptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EasyScoreDirectorFactory(SolutionDescriptor<Solution_> solutionDescriptor, EasyScoreCalculator<Solution_,?> easyScoreCalculator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EasyScoreDirector<Solution_>` | `buildScoreDirector(boolean lookUpEnabled, boolean constraintMatchEnabledPreference)` Like `InnerScoreDirectorFactory.buildScoreDirector()`, but optionally disables `ConstraintMatch` tracking and look up for more performance (presuming the `ScoreDirector` implementation actually supports it to begin with).

    - ### Methods inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory

      `assertScoreFromScratch, buildScoreDirector, getAssertionScoreDirectorFactory, getInitializingScoreTrend, getScoreDefinition, getSolutionDescriptor, isAssertClonedSolution, setAssertClonedSolution, setAssertionScoreDirectorFactory, setInitializingScoreTrend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EasyScoreDirectorFactory

          public EasyScoreDirectorFactory(SolutionDescriptor<Solution_> solutionDescriptor,
                                          EasyScoreCalculator<Solution_,?> easyScoreCalculator)

  - ### Method Detail

    - #### buildScoreDirector

          public EasyScoreDirector<Solution_> buildScoreDirector(boolean lookUpEnabled,
                                                                 boolean constraintMatchEnabledPreference)

      Description copied from interface: `InnerScoreDirectorFactory`
      Like `InnerScoreDirectorFactory.buildScoreDirector()`, but optionally disables `ConstraintMatch` tracking and look up for more performance (presuming the `ScoreDirector` implementation actually supports it to begin with).
      Parameters:
        `lookUpEnabled` - true if a `ScoreDirector` implementation should track all working objects for `ScoreDirector.lookUpWorkingObject(Object)`
        `constraintMatchEnabledPreference` - false if a `ScoreDirector` implementation should not do `ConstraintMatch` tracking even if it supports it.
      Returns:
        never null
      See Also:
        `ScoreDirector.isConstraintMatchEnabled()`, `ScoreDirector.getConstraintMatchTotalMap()`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.